<template>
  <article class="message" :class="cssClass">
    <div v-if="header" class="message-header">
      <p>{{ header }}</p>
    </div>
    <div class="message-body">
      <slot></slot>
    </div>
  </article>
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue'

export default defineComponent({
  name: 'Message',
  props: {
    header: {
      type: String,
    },
    type: {
      type: String,
    },
  },
  setup(props) {
    const cssClass = computed(() => (props.type ? { [`is-${props.type}`]: true } : {}))

    return { cssClass }
  },
})
</script>
